# org.pdfclown.documents.contents.objects.ShowTextToNextLine Class Reference

'Move to the next line and show a text string' operation [PDF:1.6:5.3.2]. More...

Inheritance diagram for org.pdfclown.documents.contents.objects.ShowTextToNextLine:

List of all members.

## Public Member Functions
void | Scan (ContentScanner.GraphicsState state, IScanner textScanner)
| Executes scanning on this operation.
override void | Scan (ContentScanner.GraphicsState state)
| Applies this object to the specified graphics context, updating the specified graphics state.
| ShowTextToNextLine (string operator_, IList< PdfDirectObject > operands)
| ShowTextToNextLine (byte[] text, double wordSpace, double charSpace)
| ShowTextToNextLine (byte[] text)
override string | ToString ()
override void | WriteTo (IOutputStream stream, Document context)
| Serializes this object to the specified stream.
## Static Public Member Functions
static Operation | Get (string operator_, IList< PdfDirectObject > operands)
| Gets an operation.
## Static Public Attributes
static readonly string | SimpleOperatorKeyword = "'"
| Specifies no text state parameter (just uses the current settings).
static readonly string | SpaceOperatorKeyword = "''"
| Specifies the word spacing and the character spacing (setting the corresponding parameters in the text state).
## Protected Attributes
IList< PdfDirectObject > | operands
string | operator_
## Properties
double | CharSpace`[get, set]`
| Gets/Sets the character spacing.
IList< PdfDirectObject > | Operands`[get]`
string | Operator`[get]`
override byte[] | Text`[get, set]`
| Gets/Sets the encoded text.
virtual IList< object > | Value`[get, set]`
| Gets/Sets the encoded text elements along with their adjustments.
double | WordSpace`[get, set]`
| Gets/Sets the word spacing.

##

'Move to the next line and show a text string' operation [PDF:1.6:5.3.2].

## Constructor & Destructor Documentation

org.pdfclown.documents.contents.objects.ShowTextToNextLine.ShowTextToNextLine | ( | byte[] | text | ) |

Parameters:

  | text | Text encoded using current font's encoding.

org.pdfclown.documents.contents.objects.ShowTextToNextLine.ShowTextToNextLine | ( | byte[] | text,
|  | double | wordSpace,
|  | double | charSpace |
| ) |  |  |

Parameters:

  | text | Text encoded using current font's encoding.
  | wordSpace | Word spacing.
  | charSpace | Character spacing.

org.pdfclown.documents.contents.objects.ShowTextToNextLine.ShowTextToNextLine | ( | string | operator_,
|  | IList< PdfDirectObject > | operands |
| ) |  |  |

## Member Function Documentation

static Operation org.pdfclown.documents.contents.objects.Operation.Get | ( | string | operator_,
|  | IList< PdfDirectObject > | operands |
| ) |  |  | `[static, inherited]`

Gets an operation.

Parameters:

  | operator_ | Operator.
  | operands | List of operands.

void org.pdfclown.documents.contents.objects.ShowText.Scan | ( | ContentScanner.GraphicsState | state,
|  | IScanner | textScanner |
| ) |  |  | `[inherited]`

Executes scanning on this operation.

Parameters:

  | state | Graphics state context.
  | textScanner | Scanner to be notified about text contents. In case it's null, the operation is applied to the graphics state context.

References org.pdfclown.documents.contents.IContentContext.Box, org.pdfclown.documents.contents.objects.ShowTextToNextLine.CharSpace, and org.pdfclown.documents.contents.objects.ShowTextToNextLine.WordSpace.

override void org.pdfclown.documents.contents.objects.ShowText.Scan | ( | ContentScanner.GraphicsState | state | ) | `[virtual, inherited]`

Applies this object to the specified graphics context, updating the specified graphics state.

Parameters:

  | state | Graphics state.

Reimplemented from org.pdfclown.documents.contents.objects.ContentObject.

References org.pdfclown.documents.contents.objects.ShowText.Scan().

Referenced by org.pdfclown.documents.contents.objects.ShowText.Scan().

override string org.pdfclown.documents.contents.objects.Operation.ToString | ( |  | ) | `[inherited]`

override void org.pdfclown.documents.contents.objects.Operation.WriteTo | ( | IOutputStream | stream,
|  | Document | context |
| ) |  |  | `[virtual, inherited]`

Serializes this object to the specified stream.

Parameters:

  | stream | Target stream.
  | context | Document context.

Implements org.pdfclown.documents.contents.objects.ContentObject.

Reimplemented in org.pdfclown.documents.contents.objects.InlineImageBody.

References org.pdfclown.objects.PdfObjectWrapper.File, and org.pdfclown.bytes.IOutputStream.Write().

Referenced by org.pdfclown.documents.contents.objects.MarkedContent.WriteTo().

## Member Data Documentation

IList<PdfDirectObject> org.pdfclown.documents.contents.objects.Operation.operands`[protected, inherited]`

string org.pdfclown.documents.contents.objects.Operation.operator_`[protected, inherited]`

readonly string org.pdfclown.documents.contents.objects.ShowTextToNextLine.SimpleOperatorKeyword = "'"`[static]`

Specifies no text state parameter (just uses the current settings).

readonly string org.pdfclown.documents.contents.objects.ShowTextToNextLine.SpaceOperatorKeyword = "''"`[static]`

Specifies the word spacing and the character spacing (setting the corresponding parameters in the text state).

## Property Documentation

double org.pdfclown.documents.contents.objects.ShowTextToNextLine.CharSpace`[get, set]`

Gets/Sets the character spacing.

Referenced by org.pdfclown.documents.contents.objects.ShowText.Scan().

IList<PdfDirectObject> org.pdfclown.documents.contents.objects.Operation.Operands`[get, inherited]`

string org.pdfclown.documents.contents.objects.Operation.Operator`[get, inherited]`

override byte [] org.pdfclown.documents.contents.objects.ShowTextToNextLine.Text`[get, set]`

Gets/Sets the encoded text.

Text is expressed in native encoding: to resolve it to Unicode, pass it to the decode method of the corresponding font.

Reimplemented from org.pdfclown.documents.contents.objects.ShowText.

virtual IList<object> org.pdfclown.documents.contents.objects.ShowText.Value`[get, set, inherited]`

Gets/Sets the encoded text elements along with their adjustments.

Text is expressed in native encoding: to resolve it to Unicode, pass it to the decode method of the corresponding font.

Returns:
  Each element can be either a byte array or a number:
  - if it's a byte array (encoded text), the operator shows text glyphs;
  - if it's a number (glyph adjustment), the operator inversely adjusts the next glyph position by that amount (that is: a positive value reduces the distance between consecutive glyphs).

Reimplemented in org.pdfclown.documents.contents.objects.ShowAdjustedText.

double org.pdfclown.documents.contents.objects.ShowTextToNextLine.WordSpace`[get, set]`

Gets/Sets the word spacing.

Referenced by org.pdfclown.documents.contents.objects.ShowText.Scan().

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.